Subject: Re: [PATCH v6] net: batch skb dequeueing from softnet input_pkt_queue

From: Andi Kleen <[email-masked]>
Date: Sun, 2 May 2010 17:46:49 +0200

> In this test, all 16 queues of one BCM57711E NIC (1Gb link) delivers
>  packets at about 1.300.000 pps to 16 cpus (one cpu per queue) and these
> packets are then redistributed by RPS to same 16 cpus, generating about
> 650.000 IPI per second.

BTW if rps was SMT aware it could avoid a lot of the IPIs in the first place.

-Andi